<?php

namespace Modules\Refund\Enums;


Enum RefundStatusEnum: int
{
    case HOLD = 0;
    case PROCESS = 1;
    case ACCEPT = 2;
    case REFUSE = 3;
    case SHIPPING = 4;
    case RECEIVED = 5;
    case FINISHED = 6;

    public static function values()
    {
        return array_column(SELF::cases(),'value');
    }
    public static function mainCases()
    {
        return [
            Self::HOLD->value,
            Self::PROCESS->value,
            -1
        ];
    }
    public static function warehouseCases()
    {
        return [
            Self::ACCEPT->value,
            Self::SHIPPING->value,
            Self::RECEIVED->value,
            Self::FINISHED->value,
        ];
    }
}
